[26894] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25820 - in trunk/debathena/scripts: . installer

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Thu Feb 21 15:58:59 2013

Date: Thu, 21 Feb 2013 15:58:51 -0500
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201302212058.r1LKwpii013594@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2013-02-21 15:58:51 -0500 (Thu, 21 Feb 2013)
New Revision: 25820

Removed:
   trunk/debathena/scripts/end-all-schroot-sessions
Modified:
   trunk/debathena/scripts/installer/install-debathena.beta.sh
   trunk/debathena/scripts/sbuildhack
Log:
Revert r25819

Modified: trunk/debathena/scripts/installer/install-debathena.beta.sh
===================================================================
--- trunk/debathena/scripts/installer/install-debathena.beta.sh	2013-02-21 20:02:22 UTC (rev 25819)
+++ trunk/debathena/scripts/installer/install-debathena.beta.sh	2013-02-21 20:58:51 UTC (rev 25820)
@@ -89,8 +89,13 @@
   quantal)
     ubuntu=yes
     aptitude=apt-get
-    output "The release you are running ($distro) is not supported"
+    output "The release you are running ($distro) is not yet supported"
     output "and installing Debathena on it is probably a bad idea."
+    output "(New releases are generally supported a couple of weeks"
+    output "after the official release date.  We strongly encourage you"
+    output "to check http://debathena.mit.edu for support information"
+    output "and try again later, or install the previous version of"
+    output "the operating system.)"
     if ! test -f /root/pxe-install-flag; then
 	ask "Are you sure you want to proceed? [y/N] " n
 	[ y != "$answer" ] && exit 1

Modified: trunk/debathena/scripts/sbuildhack
===================================================================
--- trunk/debathena/scripts/sbuildhack	2013-02-21 20:02:22 UTC (rev 25819)
+++ trunk/debathena/scripts/sbuildhack	2013-02-21 20:58:51 UTC (rev 25820)
@@ -28,9 +28,20 @@
   exit
 fi
 
+SBUILD_EXTRA_ARGS=
+if [ "$DEBATHENA_PRESERVE_CHROOT" = "yes" ]; then
+    SBUILD_EXTRA_ARGS="--purge=never --purge-session=never --purge-deps=never"
+fi
+
 env DEBATHENA_BUILD_DIST="$dist" \
 sbuild --append-to-version=`gettag "$dist"` \
 	-d "$dist" --arch="$arch" \
 	--apt-update --apt-distupgrade \
 	--setup-hook="$(readlink -f "$DA_SCRIPTS_DIR/chroot-sources")" \
-	-v "$@"
+	-v "$SBUILD_EXTRA_ARGS" "$@"
+rc=$?
+if [ "$DEBATHENA_PRESERVE_CHROOT" = "yes" ]; then
+    echo "NOTE: build chroot has been preserved.  Clean it up manually" >&2
+    echo "with schroot -e." > &2
+fi
+exit $rc
\ No newline at end of file


home help back first fref pref prev next nref lref last post